## Apache Zeta Components Manual :: Docs For Class ezcMvcResponseWriter

### MvcTools::ezcMvcResponseWriter

### Class ezcMvcResponseWriter

Abstract class defining a response writer.

A response writer takes an ezcMvcResponse object and sends the response back to the client after preparing it for this specific medium.

Source for this file: /MvcTools/src/interfaces/response_writer.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcMvcHttpResponseWriter | Request parser that uses HTTP headers to populate an ezcMvcRequest object.

### Method Summary

public abstract ezcMvcResponseWriter | `__construct( $response )` Creates a new response writer object
public abstract void | `handleResponse( )` Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.

### Methods

#### __construct

ezcMvcResponseWriter __construct( ezcMvcResponse $response )

Creates a new response writer object

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcMvcResponse |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMvcHttpResponseWriter::__construct()` | Creates a new ezcMvcHttpResponseWriter class to write $response

#### handleResponse

void handleResponse( )

Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMvcHttpResponseWriter::handleResponse()` | Takes the raw protocol depending response body, and the protocol abstract response headers and forges a response to the client. Then it sends the assembled response to the client.

Documentation generated by phpDocumentor 1.4.3